<?php
// $Id: views.inc,v 1.1.2.4 2008/10/20 01:02:02 nancyw Exp $

/**
 * @file
 * The quotes module allows users to maintain a list of quotes that
 * can be displayed in any number of administrator-defined quote
 * blocks.
 */


/**
 * Implementation of views_tables().
 */
function quotes_views_tables() {
  $tables['quotes'] = array(
    'name' => 'quotes',
    'provider' => 'internal', // won't show up in external list.
    'join' => array(
      'type' => 'inner',
      'left' => array(
        'table' => 'node',
        'field' => 'vid'
        ),
      'right' => array(
        'field' => 'vid'
        ),
      ),
    'fields' => array(
      'author' => array(
        'name' => t('Quotes: Author Name'),
        'sortable' => TRUE,
        'help' => t('This will display the author of the quote.'),
        ),
      'citation' => array(
        'name' => t('Quotes: Citation'),
        'sortable' => TRUE,
        'help' => t('This will display the source of the quote.'),
        ),
      ),
    'sorts' => array(
      'author' => array(
        'name' => t('Quotes: Author Name'),
        'help' => t('This allows you to sort alphabetically by author.'),
        ),
      'citation' => array(
        'name' => t('Quotes: Citation'),
        'help' => t('This allows you to sort alphabetically by the source.'),
        ),
      ),
    'filters' => array(
      'author' => array(
        'name' => t('Quotes: Author Name'),
        'field' => 'author',
        'operator' => 'views_handler_operator_or',
        'list' => 'quotes_get_authors',
        'help' => t('This allows you to filter by a particular author.'),
        ),
      'citation' => array(
        'name' => t('Quotes: Citation'),
        'field' => 'citation',
        'operator' => 'views_handler_operator_or',
        'list' => 'quotes_get_citations',
        'help' => t('This allows you to filter by the source.'),
        ),
      ),
    );

  return $tables;
}
